@import '../../../assets/styles/functions.scss';
@import '../../../assets/styles/mixin.scss';

.subscription-list {
  @include flex(flex-start,center,column, wrap);

  &:not(:first-child) {
    margin-bottom: 18px;
  }

  &__item {
    display: flex;
    justify-content: center;
  }

  @media (min-width: 481px) {
    flex-direction: row;
    justify-content: center;

    &__item {
      width: calc(100% / 2 - 12.5px);
      display: flex;
      justify-content: center;
    }

    &__item:nth-child(odd) {
      justify-content: flex-end;
    }

    &__item:nth-child(even) {
      justify-content: flex-start;
      margin-left: 25px;
    }
  }

  @media (min-width: 993px) {
    align-items: center;
    &__item {
      width: auto;
    }

    &__item:nth-child(even),
    &__item:nth-child(odd) {
      justify-content: flex-start;
      margin-left: 0;
    }

    &__item:not(:first-of-type) {
      margin-left: 15px;
    }
  }
}
